{"searchBar":{"inputPlaceholder":"キーワードを入力して「検索」ボタンをクリック","searchBtn":"検索","error":"キーワードを入力してください。"}}
{}

シュナイダーエレクトリックのWebサイトへようこそ

シュナイダーエレクトリックのWebサイトへようこそ。
 

ロケーションを選択

Welcome the the Schneider Electric French website. It looks like you are located in the United States, would you like to change your location?

Traduisez en francais
{"support":{"yesButton":"はい","noButton":"いいえ","feedback":{"title":"改善するために何かできることはありますか?"},"submitButton":"送信","successMessage":"フィードバックありがとうございました","title":"このFAQはお役に立ちましたか?","feedbackPercentLabel":"の人が役に立つと回答","captcha":{"error":"ボックスをチェックしてください"}}}
FAQを参照する

PowerChute Business Edition for LinuxをRed Hat Enterprise Linux 6.x/7.x (x64)にインストールするとdependency errorエラーが出る問題について

このページでは、PowerChute Business Edition for LinuxをRed Hat Enterprise Linux 6.x/7.x x64版にインストールするとdependency errorが出る問題の対処方法を説明しています。

PowerChute Business Edition for LinuxをRed Hat Enterprise Linux 6.xおよび7.x x64版にインストールした場合、"Failed dependency error on terminal"エラーが出てインストールが終了します。PowerChute Business Edition for Linuxはx64版のOSにインストールする場合も32ビットのライブラリ (glibc)が必要ですが、Red Hat Enterprise Linux 6.x/7.x x64版にはこのファイルが含まれていないことにより起きるエラーです。

この問題を回避するためには、本ページに記載の、以下のステップを実行してください。

【該当バージョン】

  • PowreChute Business Edition v8.0.1 (エージェントバージョン v8.0.1)
  • PowerChute Business Edition v9.0.1 (エージェントバージョン v9.0.1)
  • PowerChute Business Edition v9.1.1 (エージェントバージョン v9.0.3およびv9.1.1)
  • PowerChute Business Edition v9.2.1 (エージェントバージョン v9.0.4およびv9.2.1)
【該当OS】
  • Red Hat Enterprise Linux (RHEL) バージョン 6.x および 7.x
  • Oracle Linux 7.3

【対処方法】
Red Hat Enterprise Linux 6.0 〜 6.3の場合
 
1. Red Hat Network (RHN)より、以下のファイルをダウンロードします。
glibc-x.xx-x.xx.xxx.xxxx.rpm
nss-softokn-freebl-x.xx.x-x.xxx.xxxx.rpm
 もしくは、Red Hat Enterprise LinuxのCDの”Packages"ディレクトリから上記ファイルをコピーします。
 ※ xはお使いのRed Hat Enterprise Linuxバージョンによって異なります。詳細は、このページの下部にある表を参照してください。

2. ファイルを保存したディレクトリに移動し、以下のコマンドを実行します。
yum localinstall --disablerepo=* glibc-x.xx-x.xx.xxx.xxxx.rpm  nss-softokn-freebl-x.xx.x-x.xxx.xxxx.rpm
 ※ ここで、“Public key for nss-softokn-freebl-x.xx.x-x.x.xxx.xxxx.rpm is not installed”というメッセージが表示された場合は、以下のように--nogpgcheckという引数を追加してください。
yum localinstall --nogpgcheck --disablerepo=* glibc-x.xx-x.xx.xxx.xxxx.rpm nss-softokn-freebl-x.xx.x-x.xxx.xxxx.rpm

3. プロンプトが出たら「y」と入力します。
4. 以下のコマンドを実行してPowerChute Business Editionをインストールします。

PowerChute Business Edition v9.0.1およびそれ以前のバージョンの場合
rpm -i pbeagent<version>.rpm

PowerChute Business Edition v9.1.1以降のバージョンの場合
./install_pbeagent_linux.sh

Red Hat Enterprise Linux 6.4/6.5/6.6/6.7/6.8/7.x、Oracle Linux 7.3の場合

1. Red Hat Network (RHN)より、以下のファイルをダウンロードします。
glibc-x.xx-x.xx.xxx.xxxx.rpm
nss-softokn-freebl-x.xx.x-x.xxx.xxxx.rpm
libstdc++-x.x.x-x.xxx.xxx.rpm
libgcc-x.x.x-x.xxx.xxxx.rpm
もしくは、Red Hat Enterprise LinuxのCDの”Packages"ディレクトリから上記ファイルをコピーします。
※ xはお使いのRed Hat Enterprise Linuxバージョンによって異なります。詳細は、このページの下部にある表を参照してください。

2. ファイルを保存したディレクトリに移動し、以下のコマンドを実行します。
yum localinstall --disablerepo=* glibc-x.xx-x.xx.xxx.xxxx.rpm nss-softokn-freebl-x.xx.x-x.xxx.xxxx.rpm
yum localinstall --disablerepo=* libstdc++-x.x.x-x.xxx.xxx.rpm libgcc-x.x.x-x.xxx.xxxx.rpm

3. プロンプトが出たら「y」と入力します。

4. 以下のコマンドを実行してPowerChute Business Editionをインストールします。
 
PowerChute Business Edition v9.0.1およびそれ以前のバージョンの場合
rpm -i pbeagent<version>.rpm

PowerChute Business Edition v9.1.1以降のバージョンの場合
./install_pbeagent_linux.sh
 
【ダウンロードファイルの一覧】
Red Hat Enterprise Linux 6.0 〜 6.3の場合
 
Red Hat Enterprise Linux
バージョン
glibc 
nss-softokn
RHEL 6.0glibc-2.12-1.7.el6.i686.rpmnss-softokn-freebl-3.12.7-1.1.el6.i686.rpm   
RHEL 6.1glibc-2.12-1.25.el6.i686.rpmnss-softokn-freebl-3.12.9-3.el6.i686.rpm
RHEL 6.2glibc-2.12-1.47.el6.i686.rpmnss-softokn-freebl-3.12.9-11.el6.i686.rpm
RHEL 6.3glibc-2.12-1.80.el6.i686.rpmnss-softokn-freebl-3.12.9-11.el6.i686.rpm


Red Hat Enterprise Linux 6.4/6.5/6.6/6.7/6.8/7.x、Oracle Linux 7.3の場合
 
RHEL 6.4glibc glibc-2.12-1.7.el6.i686.rpm
nss-softoknnss-softokn-freebl-3.12.7-1.1.el6.i686.rpm
libstdc++libstdc++-4.4.7-3.el6.i686.rpm
textlibgcctextlibgcc-4.4.7-3.el6.i686.rpm
RHEL 6.5glibcglibc-2.12-1.132.el6.i686.rpm
nss-softokn nss-softokn-freebl-3.14.3-9.el6.i686.rpm
libstdc++libstdc++-4.4.7-4.el6.i686.rpm
libgcclibgcc-4.4.7-4.el6.i686.rpm
RHEL 6.6glibcglibc-2.12-1.149.el6.i686.rpm
nss-softokn nss-softokn-freebl-3.14.3-17.el6.i686.rpm
libstdc++libstdc++-4.4.7-11.el6.i686.rpm
libgcclibgcc-4.4.7-11.el6.i686.rpm
RHEL 6.7glibcglibc-2.12-1.166.el6.i686
nss-softoknnss-softokn-freebl-3.14.3-22.el6_6.i686.rpm
libstdc++libstdc++-4.4.7-16.el6.i686
libgcclibgcc-4.4.7-16.el6.i686
RHEL 6.8glibcglibc-2.12-1.192.el6.i686.rpm
nss-softoknnss-softokn-freebl-3.14.3-23.el6_7.i686.rpm
libstdc++libstdc++-4.4.7-17.el6.i686
libgcclibgcc-4.4.7-17.el6.i686
RHEL 6.9glibcglibc-2.12-1.209.el6.i686.rpm
nss-softoknnss-softokn-freebl-3.14.3-23.el6_8.i686.rpm
libstdc++libstdc++-4.4.7-18.el6.i686.rpm
libgcclibgcc-4.4.7-18.el6.i686.rpm
RHEL 6.10glibcglibc-2.12-1.212.el6.i686.rpm
nss-softoknnss-softokn-freebl-3.14.3-23.3.el6_8.i686.rpm
libstdc++libstdc++-4.4.7-23.el6.i686.rpm
libgcclibgcc-4.4.7-23.el6.i686.rpm
RHEL 7.0glibcglibc-2.17-55.el7.i686.rpm
nss-softoknnss-softokn-freebl-3.15.4-2.el7.i686.rpm
libstdc++libstdc++-4.8.2-16.el7.i686.rpm
libgcclibgcc-4.8.2-16.el7.i686.rpm
RHEL 7.1glibcglibc-2.17-78.el7.i686.rpm
nss-softoknnss-softokn-freebl-3.16.2.3-9.el7.i686.rpm
libstdc++libstdc++4.8.3-9.el7.i686.rpm
libgcclibgcc-4.8.3-9.el7.i686.rpm
RHEL 7.2glibcglibc-2.17-105.el7.i686
nss-softoknnss-softokn-freebl-3.16.2.3-13.el7_1.i686
libstdc++libstdc++-4.8.5-4.el7.i686
libgcclibgcc-4.8.5-4.el7.i686
RHEL 7.3
Oracle Linux 7.3
glibcglibc-2.17-157.el7.i686.rpm
nss-softoknnss-softokn-freebl-3.16.2.3-14.4.el7.i686.rpm
libstdc++libstdc++4.8.5-11.el7.i686.rpm
libgcclibgcc-4.8.5-11.el7.i686.rpm
RHEL 7.4glibcglibc-2.17-196.el7.i686.rpm
nss-softoknnss-softokn-freebl-3.28.3-6.el7.i686.rpm
libstdc++libstdc++4.8.5-16.el7.i686.rpm
libgcclibgcc-4.8.5-16.el7.i686.rpm
RHEL 7.5glibcglibc-2.17-222.el7.i686.rpm
nss-softoknnss-softokn-freebl-3.34.0-2.el7.i686.rpm
libstdc++libstdc++4.8.5-28.el7.i686.rpm
libgcclibgcc-4.8.5-28.el7.i686.rpm